# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-xml_svg
Version:			1.0.1
Release:			1.1
Summary:			XML_SVG API
License:			LGPL
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/XML_SVG
Source0:			http://pear.php.net/get/XML_SVG-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
BuildRequires:	php5-pear

%description
This package provides an object-oriented API for building
SVG documents.


Authors:
--------
	Jan Schneider
	Chuck Hagenbuch
	Jon Parise

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/XML_SVG.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_SVG.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_SVG
fi

%files
%defattr(-, root, root)
%dir %{peardir}/XML
%{peardir}/XML/SVG.php
%{_var}/lib/pear/XML_SVG.xml

%changelog
* Mon Dec 03 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
